Runtime

## org.eclipse.gmf.runtime.emf.core.resources
Interface IPathmapManager2

All Superinterfaces:
  IPathmapManager

    public interface IPathmapManager2

extends IPathmapManager

Method Summary
`IStatus` `addFilePathVariable(java.lang.String name, java.lang.String value, boolean dirtyResources)` Sets the value of a path variable to a file (not a folder).
`IStatus` `addFilePathVariables(java.util.Map settings, boolean dirtyResources)` Adds a map of file path variables (not folders).
`IStatus` `addFolderPathVariable(java.lang.String name, java.lang.String value, boolean dirtyResources)` Sets the value of a path variable to a folder (not a file).
`IStatus` `addFolderPathVariables(java.util.Map settings, boolean dirtyResources)` Adds a map of folder path variables (not files).

Methods inherited from interface org.eclipse.gmf.runtime.emf.core.resources.IPathmapManager
`addPathVariable, getPathVariable, removePathVariable`

Method Detail

### addFilePathVariables

    IStatus addFilePathVariables(java.util.Map settings,
                                 boolean dirtyResources)

  Adds a map of file path variables (not folders).

  Parameters:
    `settings` - A map from variables(String) to values(String).
  Returns:
    a status indicating success (OK) or failure (ERROR) to set the path variable. In case of error, the status message provides a user-friendly explanation of the reason

### addFilePathVariable

    IStatus addFilePathVariable(java.lang.String name,
                                java.lang.String value,
                                boolean dirtyResources)

  Sets the value of a path variable to a file (not a folder).

  Parameters:
    `name` - the path variable name
    `value` - the path variable value pointing to a specific file (not a folder)
  Returns:
    a status indicating success (OK) or failure (ERROR) to set the path variable. In case of error, the status message provides a user-friendly explanation of the reason

### addFolderPathVariables

    IStatus addFolderPathVariables(java.util.Map settings,
                                   boolean dirtyResources)

  Adds a map of folder path variables (not files).

  Parameters:
    `settings` - A map from variables(String) to values(String).
  Returns:
    a status indicating success (OK) or failure (ERROR) to set the path variable. In case of error, the status message provides a user-friendly explanation of the reason

### addFolderPathVariable

    IStatus addFolderPathVariable(java.lang.String name,
                                  java.lang.String value,
                                  boolean dirtyResources)

  Sets the value of a path variable to a folder (not a file).

  Parameters:
    `name` - the path variable name
    `value` - the path variable value pointing to a specific folder (not a file)
  Returns:
    a status indicating success (OK) or failure (ERROR) to set the path variable. In case of error, the status message provides a user-friendly explanation of the reason

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.